Bug 98080 - security/nmap patch for bpf open
Summary: security/nmap patch for bpf open
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2006-05-29 12:20 UTC by Dmitry Morozovsky
Modified: 2006-06-06 02:32 UTC (History)
0 users

See Also:


Attachments
file.diff (1.25 KB, patch)
2006-05-29 12:20 UTC, Dmitry Morozovsky
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Dmitry Morozovsky freebsd_committer 2006-05-29 12:20:17 UTC
security/nmap fails to attach to bpf when more than 128 bpfs are busy.

Fix: I'm not sure what limit should we set, but 1024 seems reasonable for me, and it does work on real-load router with 450+ VLANs.
Comment 1 Edwin Groothuis freebsd_committer 2006-05-29 12:36:13 UTC
Responsible Changed
From-To: freebsd-ports-bugs->marck

Submitter is a commiter
Comment 2 Edwin Groothuis freebsd_committer 2006-05-29 12:36:22 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback
Comment 3 Daniel Roethlisberger 2006-06-01 22:22:04 UTC
I approve.  Thanks for the patch!

-- 
Daniel Roethlisberger
Comment 4 Edwin Groothuis freebsd_committer 2006-06-02 13:08:29 UTC
State Changed
From-To: feedback->open

maintainer approved
Comment 5 Dmitry Morozovsky freebsd_committer 2006-06-05 13:11:37 UTC
Responsible Changed
From-To: marck->freebsd-ports-bugs

I'm not ports committer, so release this to the pool.
Comment 6 Marcus Alves Grando freebsd_committer 2006-06-06 02:32:16 UTC
State Changed
From-To: open->closed

Committed. Thanks!